Subject: Re: [mobile-ip] Proposed resolutions for issue #177

From: Krishna Kumar <[email-masked]>
Date: Tue, 10 Dec 2002 09:11:42 -0800

Hi all,

I was wondering about the usefulness vs the complexity of implementing the
following ordering in DHAAD reply in section 10.5.1 :

"Among home agents with equal preference, their IP addresses in the Home
Agent Addresses field SHOULD be listed in an order randomized with respect
to other home agents with equal preference, each time a Home Agent Address
Discovery Reply message is returned by this home agent."

Is there any implementations today that do this. If this were an issue, it
could be handled at the sysadm level by providing Home Agent Information in
the router advertisement rather than making the implementations more
complex.

Any comments ?

Thanks.

- KK